package com.aliware.edas;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.client.RestTemplate;

import java.util.concurrent.TimeUnit;


@RequestMapping("/rest")
@RestController
public class RestTemplateController {


    @Autowired
    RestTemplate restTemplate;

    @RequestMapping(value = "/ok", method = RequestMethod.GET)
    public String restOk() {
        return restTemplate.getForObject("http://eagleeye-service2/rest/step1", String.class);
    }

    @RequestMapping(value = "/step2", method = RequestMethod.GET)
    public String step3() {
        String str = restTemplate.getForObject("http://eagleeye-service2/rest/step3", String.class);
        return "step2 " + str;
    }


    @RequestMapping(value = "/delay", method = RequestMethod.GET)
    public String restDelay() {
        return restTemplate.getForObject("http://eagleeye-service2/rest/delay1", String.class);
    }

    @RequestMapping(value = "/delay2", method = RequestMethod.GET)
    public String restDelay3() {
        try {
            TimeUnit.MILLISECONDS.sleep(200);
        } catch (Exception e) {

        }
        String str = restTemplate.getForObject("http://eagleeye-service2/rest/delay3", String.class);
        return "step2 " + str;
    }


    @RequestMapping(value = "/error", method = RequestMethod.GET)
    public String restError() {
        try {
            return restTemplate.getForObject("http://eagleeye-service2/rest/error1", String.class);
        }catch (Exception e){
            return  "";
        }
    }

    @RequestMapping(value = "/error2", method = RequestMethod.GET)
    public String restError3() {
        String str = "";
        try {
            str = restTemplate.getForObject("http://eagleeye-service2/rest/error3", String.class);
        }catch (Exception e){

        }
        return "step2 " + str;
    }


}
